Bug 404651 - pup crashed after unchecking checkbox of item selected for update
pup crashed after unchecking checkbox of item selected for update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 11:02 EST by Peter Veres
Modified: 2008-05-29 11:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 11:53:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Veres 2007-11-29 11:02:35 EST
From Bugzilla Helper:
User-Agent: Opera/9.24 (X11; Linux i686; U; en)

Description of problem:
Debug message shown just after clicking on checkbox is below. Pup has closed 
then.
Component: pirut
Summary: TB515c06d7 pup:305:_printUpdate:TypeError: not all arguments converted 
during string formatting

Traceback (most recent call last):
  File "/usr/sbin/pup", line 193, in _updateSelected
    strs.append(strfunc(new, old))
  File "/usr/sbin/pup", line 305, in _printUpdate
    return _("%s updates %s") %(new, old)
TypeError: not all arguments converted during string formatting

Local variables in innermost frame:
new: fpc - 2.2.0-10.fc8.i386
self: <__main__.PackageUpdater object at 0x87dfe4c>
old: fpc - 2.2.0-0.i386


Version-Release number of selected component (if applicable):
pirut-1.3.25-2.fc8 

How reproducible:
Sometimes


Steps to Reproduce:
1.Start pup
2.uncheck item
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Jeremy Katz 2007-11-30 12:03:57 EST
That's odd.  What locale are you running in?
Comment 2 Peter Veres 2007-11-30 15:00:28 EST
(In reply to comment #1)
> That's odd.  What locale are you running in?

Primary using Slovak, secondary is English.
Comment 3 Peter Veres 2007-11-30 15:03:12 EST
(In reply to comment #1)
> That's odd.  What locale are you running in?
More detailed locale info:
LANG=sk_SK.UTF-8
LC_CTYPE="sk_SK.UTF-8"
LC_NUMERIC="sk_SK.UTF-8"
LC_TIME="sk_SK.UTF-8"
LC_COLLATE="sk_SK.UTF-8"
LC_MONETARY="sk_SK.UTF-8"
LC_MESSAGES="sk_SK.UTF-8"
LC_PAPER="sk_SK.UTF-8"
LC_NAME="sk_SK.UTF-8"
LC_ADDRESS="sk_SK.UTF-8"
LC_TELEPHONE="sk_SK.UTF-8"
LC_MEASUREMENT="sk_SK.UTF-8"
LC_IDENTIFICATION="sk_SK.UTF-8"
LC_ALL=
Comment 4 Jeremy Katz 2008-05-28 15:20:51 EDT
Do you still see this?
Comment 5 Peter Veres 2008-05-29 11:39:16 EDT
Mean that error?
I have reinstalled recently... at the beginning after updates the error was 
there but dismissed suddenly, i'm not sure if it dismissed forever or i have 
just luck with choice of packages I install... 
Comment 6 Jeremy Katz 2008-05-29 11:53:27 EDT
I suspect it was fixed by a translation update.  

Note You need to log in before you can comment on or make changes to this bug.